#version 460

// uniforms
uniform sampler2D tex;
uniform float width, gap;
uniform int div;
uniform vec4 diffuse, otherColor;

// interpolated inputs
in vec2 texCoord;

// output
out vec4 color;

void main() {

    float f = texture(tex, texCoord * div).r;

    color = mix(diffuse, otherColor, f);
}